# Copyright (C) 2024 Manuel Bustillo

# == Schema Information
#
# Table name: seats
#
#  id                    :uuid             not null, primary key
#  table_number          :integer
#  created_at            :datetime         not null
#  updated_at            :datetime         not null
#  guest_id              :uuid             not null
#  tables_arrangement_id :uuid             not null
#
# Indexes
#
#  index_seats_on_guest_id               (guest_id)
#  index_seats_on_tables_arrangement_id  (tables_arrangement_id)
#
# Foreign Keys
#
#  fk_rails_...  (guest_id => guests.id)
#  fk_rails_...  (tables_arrangement_id => tables_arrangements.id) ON DELETE => cascade
#
class Seat < ApplicationRecord
  belongs_to :guest
  belongs_to :table_arrangement
end
